Description

We need to produce a manual page about porting old C4 code to C5.

Related issues:

Related to CoCoA-5 - Bug #444: Not keyword/operator Closed 19 Feb 2014

Related to CoCoA-5 - Bug #34: CoCoAManual: obsolete entries in the manual Closed 22 Nov 2011

Related to CoCoA-5 - Bug #443: lambda keyword Closed 19 Feb 2014

History

#1 - 21 Mar 2014 10:47 - John Abbott

Tips on updating old C4 code to C5:

Not operator now replaced by function not which requires brackets!

LinKer fn has changed: either use LinKerBasis or new LinKer (with transposed?)

several C4 fns such as NumIndets() and indets() implicitly used CurrentRing, but in C5 these fns need an explicit argument (best way is to apply

RingOf to one of the args passed to your fn)

changes to names of fields in Record values (e.g. different capital letters)

[add more hints as we think of them!]

#2 - 21 Mar 2014 11:57 - John Abbott

The CoCoA online manual should also have a short message on each page about functions/operators where changes are needed (and maybe a

seealso to the porting page?)

#3 - 25 Mar 2014 21:34 - John Abbott

- Status changed from New to In Progress

- Target version set to CoCoA-5.1.0 Easter14

- % Done changed from 0 to 10

I have added a manual page entitled updating CoCoA-4 code; and another entitled CoCoA-4 mode (about ***...***).  It's a start; they are mixed in

with the functions... not sure that's the right place.

ADD TRANSLATION TABLE to the CoCoAHelp page about updating/porting.

#4 - 28 Mar 2014 08:47 - Anna Maria Bigatti

- Subject changed from Help page for porting old C4 code to C5 to CoCoAManual: Help page for porting old C4 code to C5

- Category changed from Portability to Manual/documentation
I have updated the CoCoA translation table for functions in CoCoA-4, CoCoA-5, CoCoALib

http://cocoa.dima.unige.it/cocoalib/doc/CoCoALib-functions.html

#5 - 09 Apr 2014 17:11 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#6 - 16 Jul 2014 12:44 - Anna Maria Bigatti

John Abbott wrote:

I have added a manual page entitled updating CoCoA-4 code; and another entitled CoCoA-4 mode (about ***...***).  It's a start; they are mixed

in with the functions... not sure that's the right place.

 

I would like to move it to Part 2 - the programming language together with the OBSOLETE entries.  Any objections?

#7 - 16 Jul 2014 13:43 - John Abbott

OK

#8 - 16 Jul 2014 15:18 - Anna Maria Bigatti

- Status changed from In Progress to Resolved

- % Done changed from 10 to 50

I set a manual chapter for these kind of information.

It is called   <title>Migrating from CoCoA-4 and keeping up-to-date</title>

(at the end of Part 2)

It will never be done in detail (is it that important with the improved error messages from CoCoA-5?), so it is just nice to have a pre-defined chapter in

the manual where to add thing when they come to mind.

I moved there John's earlier entry and reorganized its examples.

I also added obsolete and obsolescent functions.

#9 - 24 Jul 2014 18:19 - Anna Maria Bigatti

- % Done changed from 50 to 60

I went through the translation table and I updated it (almost complete now :-)

.... I was just wondering: should we call it CoCoATranslationTable.html?

should we also move it in a more prominent position?  where?

now it is called CoCoALib-functions.html and is in CoCoALib/doc/

(that's for historical reasons: it started as a table from CoCoA-4 to CoCoALib)
#10 - 24 Jul 2014 18:56 - John Abbott

I'd like a name which more clearly expresses that it is for converting "old" C4 code to C5.  We may even need some hints about converting "old" C5

code to current C5 (e.g. Not has become not(...), lambda has become func).

No ideas currently for a better name :-(

#11 - 25 Jul 2014 08:19 - Anna Maria Bigatti

John Abbott wrote:

I'd like a name which more clearly expresses that it is for converting "old" C4 code to C5.

 

Indeed it isn't: it is a translation table for C4, C5 and cocoalib.  Just a table.

We may even need some hints about converting "old" C5 code to current C5 (e.g. Not has become not(...), lambda has become func).

 

ok, added to the Recent changes in the CoCoA-5 language section in the cocoa manual

#12 - 04 Sep 2014 12:29 - John Abbott

- Status changed from Resolved to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 60 to 100
